/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.component.beanstalk.springboot;

import org.apache.camel.component.beanstalk.ConnectionSettingsFactory;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.NestedConfigurationProperty;

/**
 * The beanstalk component is used for job retrieval and post-processing of
 * Beanstalk jobs.
 * 
 * Generated by camel-package-maven-plugin - do not edit this file!
 */
@ConfigurationProperties(prefix = "camel.component.beanstalk")
public class BeanstalkComponentConfiguration {

    /**
     * Custom ConnectionSettingsFactory. Specify which ConnectionSettingsFactory
     * to use to make connections to Beanstalkd. Especially useful for unit
     * testing without beanstalkd daemon (you can mock ConnectionSettings)
     */
    @NestedConfigurationProperty
    private ConnectionSettingsFactory connectionSettingsFactory;

    public ConnectionSettingsFactory getConnectionSettingsFactory() {
        return connectionSettingsFactory;
    }

    public void setConnectionSettingsFactory(
            ConnectionSettingsFactory connectionSettingsFactory) {
        this.connectionSettingsFactory = connectionSettingsFactory;
    }
}